## org.undp.weblog.ui
Class WebLogCommentsList

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.Table
                          org.undp.weblog.ui.WebLogCommentsList

All Implemented Interfaces:
  com.arsdigita.bebop.util.BebopConstants, Cloneable, com.arsdigita.bebop.Component, EventListener, com.arsdigita.util.Lockable, com.arsdigita.bebop.event.TableActionListener

public class WebLogCommentsList
extends com.arsdigita.bebop.Table
implements com.arsdigita.bebop.event.TableActionListener

Author:
  Peter Kopunec

Nested Class Summary

Nested classes inherited from class com.arsdigita.bebop.Table
`com.arsdigita.bebop.Table.MatrixTableModelBuilder`

Field Summary
`static String[]` `HEADERS`

Fields inherited from class com.arsdigita.bebop.Table
`CELL_EVENT, EMPTY_MODEL, SEP, versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.event.TableActionListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.util.BebopConstants

`BEBOP_BORDER, BEBOP_BOXPANEL, BEBOP_CELL, BEBOP_CHECKBOX, BEBOP_CHECKBOXGROUP, BEBOP_COLUMNPANEL, BEBOP_DATE, BEBOP_DATETIME, BEBOP_DHTMLEDITOR, BEBOP_FORMERRORS, BEBOP_FORMWIDGET, BEBOP_GRIDPANEL, BEBOP_LIST, BEBOP_MULTISELECT, BEBOP_OPTION, BEBOP_PAD, BEBOP_PADFRAME, BEBOP_PANELROW, BEBOP_PORTAL, BEBOP_PORTLET, BEBOP_RADIO, BEBOP_RADIOGROUP, BEBOP_SEG_BODY, BEBOP_SEG_HEADER, BEBOP_SEG_PANEL, BEBOP_SEGMENT, BEBOP_SELECT, BEBOP_TABLE, BEBOP_TABLEBODY, BEBOP_TABLEROW, BEBOP_TEXTAREA`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebLogCommentsList(WebLogView parent, com.arsdigita.bebop.RequestLocal webLogRequestLocal)`

Method Summary
`void` `cellSelected(com.arsdigita.bebop.event.TableActionEvent e)`
`void` `headSelected(com.arsdigita.bebop.event.TableActionEvent e)`

Methods inherited from class com.arsdigita.bebop.Table

`addTableActionListener, children, clearSelection, createTableActionListener, fireCellSelected, fireHeadSelected, generateExtraXMLAttributes, generateXML, getBorder, getCellPadding, getCellSpacing, getColumn, getColumnModel, getColumnSelectionModel, getControler, getDefaultCellRenderer, getEmptyView, getHeader, getModelBuilder, getRowSelectionModel, getStriped, getTableModel, getWidth, isSelectedCell, isSelectedColumn, isSelectedRow, lock, register, removeTableActionListener, respond, setBorder, setCellPadding, setCellSpacing, setColumn, setColumnModel, setColumnSelectionModel, setDefaultCellRenderer, setEmptyView, setHeader, setModelBuilder, setRowSelectionModel, setStriped, setWidth`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADERS

    public static final String[] HEADERS

Constructor Detail

### WebLogCommentsList

    public WebLogCommentsList(WebLogView parent,
                              com.arsdigita.bebop.RequestLocal webLogRequestLocal)

Method Detail

### cellSelected

    public void cellSelected(com.arsdigita.bebop.event.TableActionEvent e)

  Specified by:
    `cellSelected` in interface `com.arsdigita.bebop.event.TableActionListener`

### headSelected

    public void headSelected(com.arsdigita.bebop.event.TableActionEvent e)

  Specified by:
    `headSelected` in interface `com.arsdigita.bebop.event.TableActionListener`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC